from pydantic import BaseModel
from typing import Optional
import app.scanner.enums as scan

class ScanPage(BaseModel):
    filename: Optional[str]
    size_bytes: int
    status: scan.PageStatus

    class Config():
        orm_mode = True

class ScanStatus(BaseModel):
    pages: list[ScanPage]
    status: scan.Status